if not CC_TrickSkins 
	rawset(_G, "CC_TrickSkins", {})
end

CC_TrickSkins["DEFAULT"] = {
	alwaysenabled = false,
	{
		sprite2 = SPR2_FALL,
		tics = 0,
		rotation = "random",
	},
	{
		sprite2 = SPR2_STND,
		tics = 0,
		rotation = "random",
	},
	{
		sprite2 = SPR2_FLY,
		tics = 0,
		rotation = "random",
	}
}

if not CC_NeckSkins
    rawset(_G, "CC_NeckSkins", {})
end

CC_NeckSkins["cman"] = {
	skin = "cman",
	speed = FRACUNIT/5,
	pivot = true,
	pitches = 5,
	idleangle = -ANGLE_45,
	idlepitch = ANG30,
	emoteoffset = 6*FRACUNIT,
	eastereggname = "\102\x6c\117\x66\102\x20\101\x2d\116\x34\049\x6c\053",
	trackables = {},
}

local pointyloaded = false
addHook("ThinkFrame", do
	if not pointyloaded and CC_NeckSkins["pointy"]
		for _, item in ipairs(CC_NeckSkins["pointy"].trackables) // Use all of Pointy's trackables except for sneezes
			if not item.sneeze
				table.insert(CC_NeckSkins["cman"].trackables, item)
			end
		end
		pointyloaded = true
	end
end)